Subject: bug#36594: No hint for missing argument

From: Julien Lepiller <[email-masked]>
Date: Thu, 11 Jul 2019 23:45:19 +0200

Le Thu, 11 Jul 2019 22:40:58 +0200,
Ludovic Courtès <[email-masked]> a écrit :

> Julien Lepiller <[email-masked]> skribis:
> 
> > When you type an option that requires an argument, but don't
> > provide one, you get an error message that says there is a missing
> > argument. There should brobably be a hint on what values are
> > acceptable. For instance, there is no way to know from "guix
> > package -v" or "guix package --help" what values are accepted. In
> > other cases, there is a --list-something option.
> >
> > Maybe -v is the only case where it would be useful to do something,
> > because you could guess its existence and not use a verbosity
> > level. Maybe fixing the help message to say --verbosity=[0-5] is
> > enough?  
> 
> Currently it says:
> 
> --8<---------------cut here---------------start------------->8---
> $ guix build --help | grep -e -verbo
>   -v, --verbosity=LEVEL  use the given verbosity LEVEL
> --8<---------------cut here---------------end--------------->8---
> 
> We could add “an integer between 0 and 2”, but this was left
> non-explicit in case we eventually extend it to -7 to +42.
> 
> Maybe there’s a limit on what we can do to help users?  :-)
> 
> Ludo’.

If users have no idea what value to use though, they just won't use the
feature...